# form_userptr 3x

    form_userptr(3x)                                 form_userptr(3x)

## NAME

           form_userptr - associate application data with a form item

## SYNOPSIS

           #include <form.h>
           int set_form_userptr(FORM *form, void *userptr);
           void* form_userptr(const FORM *form);

## DESCRIPTION

           Every form and every form item has a  field  that  can  be
           used to hold application-specific data (that is, the form-
           driver code leaves it alone).  These functions get and set
           the form user pointer field.

## RETURN VALUE

           The  function  form_userptr  returns  NULL  on error.  The
           function set_form_userptr returns one of the following:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno).

## SEE ALSO

           curses(3x), form(3x).

## NOTES

           The header file <form.h> automatically includes the header
           file <curses.h>.

## PORTABILITY

           These  routines  emulate the System V forms library.  They
           were not supported on Version 7 or BSD versions.

           The user pointer should be a void pointer.  We leave it as
           a char pointer for SVr4 compatibility.

## AUTHORS

           Juergen  Pfeifer.   Manual  pages  and  adaptation for new
           curses by Eric S. Raymond.

                                                     form_userptr(3x)